<?php
session_start();
require_once("config/configDB.php"); 
require "financial_year_calculation.php";

function validation_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    $invoice   = stripslashes($_POST['invoice']);
    //$tripedate      = stripslashes($_POST['internalprodate']);

    $tdate_temp         = new DateTime(stripslashes($_POST['internalprodate']));
    $internalprodate 	= $tdate_temp->format('Y-m-d');
    $vhid          = stripslashes($_POST['vehicleno']);
	
	$sq=mysqli_query($conn,"select vehicleno as a from vehicle_master where id='".$vhid."'");
	
		while($row=mysqli_fetch_array($sq))
		{
		
	
    $vehicleno          = $row['a'];
	
		}
	
    $odometerkm           = stripslashes($_POST['odometerkm']);
    $odometerhours           = stripslashes($_POST['odometerhours']);
    $qty                = stripslashes($_POST['eqty']);
	
	$driverid                = stripslashes($_POST['driverid']);
	$sql=mysqli_query($conn,"select * from employee_master where id='".$driverid."'");
	
	while($row1=mysqli_fetch_array($sql))
	{
		$drivername=$row1['ename'];
	}
    
    $accountyear    = $financialYearStart."-".$financialYearEnd;
    $createdate  	= date("Y-m-d");
    $createdby      = $_SESSION['username'];
    $userID         = $_SESSION['user_id'];
	
	$autoinc=mysqli_query($conn,"ALTER TABLE internalunfillpro_diesel CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	$autoinc2=mysqli_query($conn,"ALTER TABLE total_litres CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");

    $sql_header  = "INSERT INTO internalunfillpro_diesel (invoice, dieseldate, vehicleid,vehicleno,driverid,drivername,intakekm,intakehrs, litres ,filling_type,accountyear,isdelete,createdby,userID,createdate) VALUES ('".$invoice."', '".$internalprodate."', '".$vhid."','".$vehicleno."','".$driverid."' ,'".$drivername."','".$odometerkm."' ,'".$odometerhours."','".$qty."','unfill', '".$accountyear."', '1','".$createdby."','".$userID."','".$createdate."')";
    
    mysqli_query($conn,$sql_header);
	
	
	$sql_header2  = "INSERT INTO total_litres (invoice,dieseldate,vehicleid, vehicleno,driverid,drivername,intakekm,intakehrs,litres,filling_type,accountyear,createdate,createdby,userID,isdelete) VALUES ('".$invoice."', '".$internalprodate."','".$vhid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$odometerkm."','".$odometerhours."','".$qty."','internalunfill', '".$accountyear."','".$createdate."', '".$createdby."','".$userID."','1')";
    
    mysqli_query($conn,$sql_header2);
    
    header("Location:inDieselunfillProDashboard.php");

}





?>